summaryrefslogtreecommitdiffstats
path: root/src/grep/tests/pcre-abort
diff options
context:
space:
mode:
Diffstat (limited to 'src/grep/tests/pcre-abort')
-rwxr-xr-xsrc/grep/tests/pcre-abort20
1 files changed, 20 insertions, 0 deletions
diff --git a/src/grep/tests/pcre-abort b/src/grep/tests/pcre-abort
new file mode 100755
index 0000000..51cee25
--- /dev/null
+++ b/src/grep/tests/pcre-abort
@@ -0,0 +1,20 @@
+#! /bin/sh
+# Show that grep handles PCRE's PCRE_ERROR_MATCHLIMIT.
+# In grep-2.8, it would abort.
+#
+# Copyright (C) 2011-2021 Free Software Foundation, Inc.
+#
+# Copying and distribution of this file, with or without modification,
+# are permitted in any medium without royalty provided the copyright
+# notice and this notice are preserved.
+
+. "${srcdir=.}/init.sh"; path_prepend_ ../src
+require_pcre_
+
+fail=0
+
+echo aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaab > in || framework_failure_
+returns_ 2 grep -P '((a+)*)+$' in > out || fail=1
+compare /dev/null out || fail=1
+
+Exit $fail